diff --git a/sys/contrib/dev/acpica/source/tools/acpixtract/axutils.c b/sys/contrib/dev/acpica/source/tools/acpixtract/axutils.c
index 00882c6fed..8fba70047f 100644
--- a/sys/contrib/dev/acpica/source/tools/acpixtract/axutils.c
+++ b/sys/contrib/dev/acpica/source/tools/acpixtract/axutils.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -184,6 +184,83 @@ AxCheckAscii (
 }
 
 
+/*******************************************************************************
+ *
+ * FUNCTION:    AxIsFileAscii
+ *
+ * PARAMETERS:  Handle              - To open input file
+ *
+ * RETURN:      TRUE if file is entirely ASCII and printable
+ *
+ * DESCRIPTION: Verify that the input file is entirely ASCII.
+ *
+ ******************************************************************************/
+
+BOOLEAN
+AxIsFileAscii (
+    FILE                    *Handle)
+{
+    UINT8                   Byte;
+    UINT32                  Offset = 0;
+
+
+    /* Read the entire file */
+
+    fseek (Handle, 0, SEEK_SET);
+    while (fread (&Byte, 1, 1, Handle) == 1)
+    {
+        /*
+         * Ignore null characters. Some acpidump-type utilities insert
+         * a few of these, probably a bug in the utility. As long as these
+         * characters are in lines that are tossed (non-data), they
+         * won't cause a problem.
+         */
+        if (!Byte)
+        {
+            continue;
+        }
+
+        /* Check for an ASCII character */
+
+        if (!ACPI_IS_ASCII (Byte))
+        {
+            printf ("Found non-ascii char: %2.2X at file offset %u (0x%X)\n",
+                Byte, Offset, Offset);
+            if (!Gbl_ForceExtraction)
+            {
+                goto ErrorExit;
+            }
+        }
+
+        /* Ensure character is either printable or a "space" char */
+
+        else if (!isprint (Byte) && !isspace (Byte))
+        {
+            printf ("Found non-printable char: %2.2X at file offset %u (0x%X)\n",
+                Byte, Offset, Offset);
+            if (!Gbl_ForceExtraction)
+            {
+                goto ErrorExit;
+            }
+        }
+
+        Offset++;
+    }
+
+    /* File is OK (100% ASCII) */
+
+    fseek (Handle, 0, SEEK_SET);
+    return (TRUE);
+
+ErrorExit:
+
+    printf ("File appears to be binary "
+        "(contains non-text or non-ascii characters)\n");
+    fseek (Handle, 0, SEEK_SET);
+    return (FALSE);
+}
+
+
 /******************************************************************************
  *
  * FUNCTION:    AxIsEmptyLine
@@ -196,7 +273,7 @@ AxCheckAscii (
  *
  ******************************************************************************/
 
-int
+BOOLEAN
 AxIsEmptyLine (
     char                    *Buffer)
 {
@@ -219,6 +296,96 @@ AxIsEmptyLine (
 }
 
 
+/******************************************************************************
+ *
+ * FUNCTION:    AxIsHexDataLine
+ *
+ * PARAMETERS:  None
+ *
+ * RETURN:      Status. 1 if the table header is valid, 0 otherwise.
+ *
+ * DESCRIPTION: Check for a valid line of hex data of the form:
+ *
+ *  00a0: 0c 00 00 00 03 00 00 00 43 48 41 35 0c 00 00 00  ........CHA5....
+ *
+ ******************************************************************************/
+
+BOOLEAN
+AxIsHexDataLine (
+    void)
+{
+
+    if (AxIsEmptyLine (Gbl_LineBuffer) ||
+        (Gbl_LineBuffer[0] != ' '))
+    {
+        return (FALSE);
+    }
+
+    if (!strstr (Gbl_LineBuffer, ": "))
+    {
+        /* Not valid data line */
+
+        return (FALSE);
+    }
+
+    return (TRUE);
+}
+
+
+/******************************************************************************
+ *
+ * FUNCTION:    AxIsDataBlockHeader
+ *
+ * PARAMETERS:  None
+ *
+ * RETURN:      Status. 1 if the table header is valid, 0 otherwise.
+ *
+ * DESCRIPTION: Check if the ACPI table identifier in the input acpidump text
+ *              file is valid (of the form: <sig> @ <addr>).
+ *
+ ******************************************************************************/
+
+BOOLEAN
+AxIsDataBlockHeader (
+    void)
+{
+
+    /* Ignore lines that are too short to be header lines */
+
+    if (strlen (Gbl_LineBuffer) < AX_MIN_BLOCK_HEADER_LENGTH)
+    {
+        return (FALSE);
+    }
+
+    /* Ignore empty lines and lines that start with a space */
+
+    if (AxIsEmptyLine (Gbl_LineBuffer) ||
+        (Gbl_LineBuffer[0] == ' '))
+    {
+        return (FALSE);
+    }
+
+    /*
+     * Ignore lines that are not headers of the form <sig> @ <addr>.
+     * Basically, just look for the '@' symbol, surrounded by spaces.
+     *
+     * Examples of headers that must be supported:
+     *
+     * DSDT @ 0x737e4000
+     * XSDT @ 0x737f2fff
+     * RSD PTR @ 0xf6cd0
+     * SSDT @ (nil)
+     */
+    if (!AX_IS_TABLE_BLOCK_HEADER)
+    {
+        return (FALSE);
+    }
+
+    AxNormalizeSignature (Gbl_LineBuffer);
+    return (TRUE);
+}
+
+
 /*******************************************************************************
  *
  * FUNCTION:    AxNormalizeSignature
@@ -245,7 +412,7 @@ AxNormalizeSignature (
 
 /******************************************************************************
  *
- * FUNCTION:    AxConvertLine
+ * FUNCTION:    AxConvertToBinary
  *
  * PARAMETERS:  InputLine           - One line from the input acpidump file
  *              OutputData          - Where the converted data is returned
@@ -254,27 +421,38 @@ AxNormalizeSignature (
  *
  * DESCRIPTION: Convert one line of ascii text binary (up to 16 bytes)
  *
+ * NOTE: Assumes the input data line has been validated to be of the form:
+ *
+ *  0010: 48 53 57 55 4c 54 2d 52 01 00 00 00 49 4e 54 4c  HSWULT-R....INTL
+ *
  ******************************************************************************/
 
 size_t
-AxConvertLine (
+AxConvertToBinary (
     char                    *InputLine,
     unsigned char           *OutputData)
 {
-    char                    *End;
+    char                    *ColonDelimiter;
     int                     BytesConverted;
     int                     Converted[16];
     int                     i;
 
 
-    /* Terminate the input line at the end of the actual data (for sscanf) */
-
-    End = strstr (InputLine + 2, "  ");
-    if (!End)
-    {
-        return (0); /* Don't understand the format */
-    }
-    *End = 0;
+    /*
+     * Terminate input line immediately after the data. Otherwise, the
+     * second line below will not scan correctly.
+     *
+     * This handles varying lengths for the offset: line prefix. This support
+     * for tables larger than 1mb was added 05/2018.
+     *
+     *    00b0: 03 00 00 00 43 48 41 36 0c 00 00 00 03 00 00 00  ....CHA6........
+     *    00c0: 43 48 41 37                                      CHA7
+     *
+     *    012340b0: 03 00 00 00 43 48 41 36 0c 00 00 00 03 00 00 00  ....CHA6........
+     *    012340c0: 43 48 41 37                                      CHA7
+     */
+    ColonDelimiter = strchr (InputLine, ':');
+    ColonDelimiter [AX_HEX_DATA_LENGTH] = 0;
 
     /*
      * Convert one line of table data, of the form:
@@ -284,7 +462,7 @@ AxConvertLine (
      * 02C0: 5F 53 42 5F 4C 4E 4B 44 00 12 13 04 0C FF FF 08  _SB_LNKD........
      */
     BytesConverted = sscanf (InputLine,
-        "%*s %x %x %x %x %x %x %x %x %x %x %x %x %x %x %x %x",
+        "%*s %2X %2X %2X %2X %2X %2X %2X %2X %2X %2X %2X %2X %2X %2X %2X %2X",
         &Converted[0],  &Converted[1],  &Converted[2],  &Converted[3],
         &Converted[4],  &Converted[5],  &Converted[6],  &Converted[7],
         &Converted[8],  &Converted[9],  &Converted[10], &Converted[11],
@@ -301,52 +479,6 @@ AxConvertLine (
 }
 
 
-/******************************************************************************
- *
- * FUNCTION:    AxGetTableHeader
- *
- * PARAMETERS:  InputFile           - Handle for the input acpidump file
- *              OutputData          - Where the table header is returned
- *
- * RETURN:      The actual number of bytes converted
- *
- * DESCRIPTION: Extract and convert an ACPI table header
- *
- ******************************************************************************/
-
-size_t
-AxGetTableHeader (
-    FILE                    *InputFile,
-    unsigned char           *OutputData)
-{
-    size_t                  BytesConverted;
-    size_t                  TotalConverted = 0;
-    int                     i;
-
-
-    /* Get the full 36 byte ACPI table header, requires 3 input text lines */
-
-    for (i = 0; i < 3; i++)
-    {
-        if (!fgets (Gbl_HeaderBuffer, AX_LINE_BUFFER_SIZE, InputFile))
-        {
-            return (TotalConverted);
-        }
-
-        BytesConverted = AxConvertLine (Gbl_HeaderBuffer, OutputData);
-        TotalConverted += BytesConverted;
-        OutputData += 16;
-
-        if (BytesConverted != 16)
-        {
-            return (TotalConverted);
-        }
-    }
-
-    return (TotalConverted);
-}
-
-
 /******************************************************************************
  *
  * FUNCTION:    AxCountTableInstances
@@ -467,105 +599,154 @@ AxGetNextInstance (
 
 /******************************************************************************
  *
- * FUNCTION:    AxIsDataBlockHeader
+ * FUNCTION:    AxConvertAndWrite
  *
- * PARAMETERS:  None
+ * PARAMETERS:  OutputFile              - Where to write the binary data
+ *              ThisSignature           - Signature of current ACPI table
+ *              ThisTableBytesWritten   - Total count of data written
  *
- * RETURN:      Status. 1 if the table header is valid, 0 otherwise.
+ * RETURN:      Length of the converted line
  *
- * DESCRIPTION: Check if the ACPI table identifier in the input acpidump text
- *              file is valid (of the form: <sig> @ <addr>).
+ * DESCRIPTION: Convert one line of input hex ascii text to binary, and write
+ *              the binary data to the table output file.
+ *
+ * NOTE: Assumes the input data line has been validated to be of the form:
+ *
+ *  0010: 48 53 57 55 4c 54 2d 52 01 00 00 00 49 4e 54 4c  HSWULT-R....INTL
  *
  ******************************************************************************/
 
-int
-AxIsDataBlockHeader (
-    void)
+long
+AxConvertAndWrite (
+    FILE                    *OutputFile,
+    char                    *ThisSignature,
+    unsigned int            ThisTableBytesWritten)
 {
+    size_t                  BytesWritten;
+    size_t                  BytesConverted;
 
-    /* Ignore lines that are too short to be header lines */
 
-    if (strlen (Gbl_LineBuffer) < AX_MIN_BLOCK_HEADER_LENGTH)
-    {
-        return (0);
-    }
+    /* Convert one line of ascii hex data to binary */
 
-    /* Ignore empty lines and lines that start with a space */
+    BytesConverted = AxConvertToBinary (Gbl_LineBuffer, Gbl_BinaryData);
 
-    if (AxIsEmptyLine (Gbl_LineBuffer) ||
-        (Gbl_LineBuffer[0] == ' '))
+    /* Write the binary data */
+
+    if (!BytesConverted)
     {
         return (0);
     }
 
-    /*
-     * Ignore lines that are not headers of the form <sig> @ <addr>.
-     * Basically, just look for the '@' symbol, surrounded by spaces.
-     *
-     * Examples of headers that must be supported:
-     *
-     * DSDT @ 0x737e4000
-     * XSDT @ 0x737f2fff
-     * RSD PTR @ 0xf6cd0
-     * SSDT @ (nil)
-     */
-    if (!strstr (Gbl_LineBuffer, " @ "))
+    BytesWritten = fwrite (Gbl_BinaryData, 1, BytesConverted, OutputFile);
+    if (BytesWritten != BytesConverted)
     {
-        return (0);
+        printf ("Error while writing file %s\n", Gbl_OutputFilename);
+        return (-1);
     }
 
-    AxNormalizeSignature (Gbl_LineBuffer);
-    return (1);
+    return (BytesWritten);
 }
 
 
 /******************************************************************************
  *
- * FUNCTION:    AxProcessOneTextLine
+ * FUNCTION:    AxDumpTableHeader
  *
- * PARAMETERS:  OutputFile              - Where to write the binary data
- *              ThisSignature           - Signature of current ACPI table
- *              ThisTableBytesWritten   - Total count of data written
+ * PARAMETERS:  Header          - A binary ACPI table header
  *
- * RETURN:      Length of the converted line
+ * RETURN:      None
  *
- * DESCRIPTION: Convert one line of input hex ascii text to binary, and write
- *              the binary data to the table output file.
+ * DESCRIPTION: Display the contents of a standard ACPI table header
  *
  ******************************************************************************/
 
-long
-AxProcessOneTextLine (
-    FILE                    *OutputFile,
-    char                    *ThisSignature,
-    unsigned int            ThisTableBytesWritten)
+void
+AxDumpTableHeader (
+    unsigned char           *Header)
 {
-    size_t                  BytesWritten;
-    size_t                  BytesConverted;
+    ACPI_TABLE_HEADER       *TableHeader = (ACPI_TABLE_HEADER *) (void *) Header;
+    ACPI_TABLE_RSDP         *Rsdp = (ACPI_TABLE_RSDP *) (void *) Header;
+    ACPI_TABLE_FACS         *Facs = (ACPI_TABLE_FACS *) (void *) Header;
 
 
-    /* Check for the end of this table data block */
+    /* RSDP has an oddball signature and header */
 
-    if (AxIsEmptyLine (Gbl_LineBuffer) ||
-        (Gbl_LineBuffer[0] != ' '))
+    if (!strncmp (TableHeader->Signature, "RSD PTR ", 8))
     {
-        printf (AX_TABLE_INFO_FORMAT,
-            ThisSignature, ThisTableBytesWritten, Gbl_OutputFilename);
-        return (0);
+        AxCheckAscii ((char *) &Header[9], 6);
+
+        Gbl_TableCount++;
+        printf (" %.2u) %5.4s  0x%8.8X  0x%2.2X  \"%6.6s\"\n",
+            Gbl_TableCount, "RSDP", Rsdp->Length, Rsdp->Revision, Rsdp->OemId);
+        return;
     }
 
-    /* Convert one line of ascii hex data to binary */
+    if (!AcpiUtValidNameseg (TableHeader->Signature))
+    {
+        return;
+    }
 
-    BytesConverted = AxConvertLine (Gbl_LineBuffer, Gbl_BinaryData);
+    /* Signature and Table length */
 
-    /* Write the binary data */
+    Gbl_TableCount++;
+    printf (" %.2u) %5.4s  0x%8.8X", Gbl_TableCount, TableHeader->Signature,
+        TableHeader->Length);
 
-    BytesWritten = fwrite (Gbl_BinaryData, 1, BytesConverted, OutputFile);
-    if (BytesWritten != BytesConverted)
+    /* FACS has only signature and length */
+
+    if (ACPI_COMPARE_NAME (TableHeader->Signature, "FACS"))
     {
-        printf ("Error while writing file %s\n", Gbl_OutputFilename);
-        return (-1);
+        printf ("  0x%2.2X\n", Facs->Version);
+        return;
     }
 
-    return (BytesWritten);
+    /* OEM IDs and Compiler IDs */
+
+    AxCheckAscii (TableHeader->OemId, 6);
+    AxCheckAscii (TableHeader->OemTableId, 8);
+    AxCheckAscii (TableHeader->AslCompilerId, 4);
+
+    printf (
+        "  0x%2.2X  \"%6.6s\"  \"%8.8s\"  0x%8.8X"
+        "  \"%4.4s\"   0x%8.8X\n",
+        TableHeader->Revision, TableHeader->OemId,
+        TableHeader->OemTableId, TableHeader->OemRevision,
+        TableHeader->AslCompilerId, TableHeader->AslCompilerRevision);
+}
+
+
+#ifdef _AX_FUTURE_ENHANCEMENTS
+
+/* Possible enhancement to validate table lengths */
+
+void
+AxCheckTableLengths (
+    UINT32                  ByteCount,
+    UINT32                  AmlByteCount)
+{
+
+    if (AmlByteCount == 0)
+    {
+        return;
+    }
+
+    if (ByteCount == 0)
+    {
+        return;
+    }
+
+    if ((ByteCount < sizeof (ACPI_TABLE_HEADER)) &&
+        (ByteCount >= ACPI_NAME_SIZE))
+    {
+        printf ("  : (Table too short for an ACPI table)");
+    }
+
+    else if (ByteCount != AmlByteCount)
+    {
+        printf ("  : (Hex data length mismatch with AML length 0x%X)",
+            AmlByteCount);
+    }
+
+    printf ("\n");
 }
+#endif
diff --git a/sys/contrib/dev/acpica/source/tools/efihello/efihello.c b/sys/contrib/dev/acpica/source/tools/efihello/efihello.c
index ed3dc7e79d..d0cf75ef54 100644
--- a/sys/contrib/dev/acpica/source/tools/efihello/efihello.c
+++ b/sys/contrib/dev/acpica/source/tools/efihello/efihello.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/examples/examples.c b/sys/contrib/dev/acpica/source/tools/examples/examples.c
index 313f64e582..a0b2ac39ce 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/examples.c
+++ b/sys/contrib/dev/acpica/source/tools/examples/examples.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -212,9 +212,6 @@ RegionInit (
 static void
 ExecuteMAIN (void);
 
-static void
-ExecuteOSI (void);
-
 ACPI_STATUS
 InitializeAcpiTables (
     void);
@@ -263,7 +260,7 @@ main (
     ACPI_EXCEPTION   ((AE_INFO, AE_AML_OPERAND_TYPE,
         "Example ACPICA exception message"));
 
-    ExecuteOSI ();
+    ExecuteOSI (NULL, 0);
     ExecuteMAIN ();
     return (0);
 }
@@ -540,8 +537,10 @@ InstallHandlers (void)
  *
  *****************************************************************************/
 
-static void
-ExecuteOSI (void)
+ACPI_STATUS
+ExecuteOSI (
+    char                    *OsiString,
+    UINT64                  ExpectedResult)
 {
     ACPI_STATUS             Status;
     ACPI_OBJECT_LIST        ArgList;
@@ -569,7 +568,7 @@ ExecuteOSI (void)
     if (ACPI_FAILURE (Status))
     {
         ACPI_EXCEPTION ((AE_INFO, Status, "While executing _OSI"));
-        return;
+        return (AE_OK);
     }
 
     /* Ensure that the return object is large enough */
@@ -598,6 +597,7 @@ ExecuteOSI (void)
     /* Free a buffer created via ACPI_ALLOCATE_BUFFER */
 
     AcpiOsFree (ReturnValue.Pointer);
+    return (AE_OK);
 }
 
 
diff --git a/sys/contrib/dev/acpica/source/tools/examples/examples.h b/sys/contrib/dev/acpica/source/tools/examples/examples.h
index ca3a86f42e..e34e3a7752 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/examples.h
+++ b/sys/contrib/dev/acpica/source/tools/examples/examples.h
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/examples/exstubs.c b/sys/contrib/dev/acpica/source/tools/examples/exstubs.c
index ff0eb07c8c..a938604c35 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/exstubs.c
+++ b/sys/contrib/dev/acpica/source/tools/examples/exstubs.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/examples/extables.c b/sys/contrib/dev/acpica/source/tools/examples/extables.c
index a194dee6e7..b3d67967fc 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/extables.c
+++ b/sys/contrib/dev/acpica/source/tools/examples/extables.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/tests/misc/grammar.asl b/sys/contrib/dev/acpica/tests/misc/grammar.asl
index 981c74e341..5200cccc5d 100644
--- a/sys/contrib/dev/acpica/tests/misc/grammar.asl
+++ b/sys/contrib/dev/acpica/tests/misc/grammar.asl
@@ -1,5 +1,5 @@
 /*
- * Some or all of this work - Copyright (c) 2006 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 2006 - 2018, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without modification,
@@ -4475,7 +4475,7 @@ DefinitionBlock (
 //  Result  //Nothing | SuperName
 //) => Integer
 //Source and ShiftCount are evaluated as integer data types. Source is shifted right with the most significant bit
-//zeroed ShiftCount times.  The result is optionally stored into Result.
+//zeroed ShiftCount times. The result is optionally stored into Result.
 
 //ShiftLeft(
 //  Source, //TermArg=>Integer
@@ -5806,10 +5806,10 @@ DefinitionBlock (
 //  Test for SizeOf (Lvalue)
 //
 //  This next section will contain the packages that the SizeOfOp will be
-//  exercised on.  The first one, PKG0, is a regular package of 3 elements.
+//  exercised on. The first one, PKG0, is a regular package of 3 elements.
 //  The 2nd one, PKG1, is a nested package with 3 packages inside it, each
-//  with 3 elements.  It is expected that SizeOf operator will return the
-//  same value for these two packages since they both have 3 elements.  The
+//  with 3 elements. It is expected that SizeOf operator will return the
+//  same value for these two packages since they both have 3 elements. The
 //  final package, PKG2, has 4 elements and the SizeOf operator is expected
 //  to return different results for this package.
 
@@ -5840,7 +5840,7 @@ DefinitionBlock (
 //  End Packages    **********************************************************
 
 //  The following section will declare the data strings that will be used to
-//  exercise the SizeOf operator.  STR0 and STR1 are expected to be equal,
+//  exercise the SizeOf operator. STR0 and STR1 are expected to be equal,
 //  STR2 is expected to have a different SizeOf value than STR0 and STR1.
 
     Name (STR0, "ACPI permits very flexible methods of expressing a system")
@@ -5869,7 +5869,7 @@ DefinitionBlock (
 
         Method (CMPR, 2)
         {
-            //  CMPR is passed two arguments.  If unequal, return 1 to indicate
+            //  CMPR is passed two arguments. If unequal, return 1 to indicate
             //  that, otherwise return 0 to indicate SizeOf each is equal.
 
             Store (0x01, Local0)
@@ -5899,7 +5899,7 @@ DefinitionBlock (
 
             //  TBD:    SLOC [SizeOf (Local0)] -- dup SARG
 
-            //  Compare the elements that we expect to be the same.  Exit out with an error
+            //  Compare the elements that we expect to be the same. Exit out with an error
             //  code on the first failure.
             if (LNotEqual (0x00, CMPR (STR0, STR1)))
             {
@@ -5935,7 +5935,7 @@ DefinitionBlock (
                 Return (0x05)
             }
 
-            //  Finally, check for the return of SizeOf for a known Buffer.  Just
+            //  Finally, check for the return of SizeOf for a known Buffer. Just
             //  in case we magically pass above cases due to all Buffers being Zero
             //  bytes in size, or Infinity, etc.
             if (LNotEqual (0x05, SizeOf (BUF3)))
@@ -6293,7 +6293,7 @@ DefinitionBlock (
             Store (0, B1HI)
 
             //  We'll multiply 25 * 3 to get 75, add 99 to it then divide
-            //  by 100.  We expect to get 74 for the remainder and 1 for
+            //  by 100. We expect to get 74 for the remainder and 1 for
             //  the quotient.
             Divide(
                 Add (Multiply (3, MKW_ (B1LO, B1HI)), 0x63),
@@ -6661,8 +6661,8 @@ DefinitionBlock (
 //
 //  BitIndex test
 //  This is a test case for accessing fields defined as single bits in
-//  memory.  This is done by creating two index fields that overlay the
-//  same DWORD in memory.  One field accesses the DWORD as a DWORD, the
+//  memory. This is done by creating two index fields that overlay the
+//  same DWORD in memory. One field accesses the DWORD as a DWORD, the
 //  other accesses individual bits of the same DWORD field in memory.
 //
     Scope (\_SB)    //  System Bus
@@ -6748,8 +6748,8 @@ DefinitionBlock (
                         Or (Local0, 0x08, Local0)
                     }
 
-                    //  Now check the upper nibble.  Only the "even" bits should
-                    //  be set.  BIT4, BIT6.  BIT5 and BIT7 should be clear.
+                    //  Now check the upper nibble. Only the "even" bits should
+                    //  be set. BIT4, BIT6. BIT5 and BIT7 should be clear.
                     If (LNot (BIT4))
                     {
                         Or (Local0, 0x10, Local0)
@@ -8340,7 +8340,7 @@ DefinitionBlock (
                 //
                 // The following sections have been rewritten because storing into
                 // an Indexed buffer only changes one byte - the FIRST byte of the
-                // buffer is written to the source index.  This is the ONLY byte
+                // buffer is written to the source index. This is the ONLY byte
                 // written -- as per ACPI 2.0
                 //
                 // Overwrite DEST contents, at buffer position 2 [only]
@@ -8573,7 +8573,7 @@ DefinitionBlock (
 
                 //
                 // This section was modified from the original iPCO code because
-                //  it attempted to compare two buffers.  This is not allowed until
+                //  it attempted to compare two buffers. This is not allowed until
                 //  ACPI v2.0, so the test has been modified to just check the
                 //  changed \_SB.MEM.SMD0
                 //
@@ -10280,4 +10280,3 @@ DefinitionBlock (
     })  // END MBUF
 
 } //end DefinitionBlock
-
diff --git a/sys/dev/acpica/acpi.c b/sys/dev/acpica/acpi.c
index c8f5f71d53..ad19a68d99 100644
--- a/sys/dev/acpica/acpi.c
+++ b/sys/dev/acpica/acpi.c
@@ -1971,25 +1971,20 @@ acpi_enable_fixed_events(struct acpi_softc *sc)
 BOOLEAN
 acpi_DeviceIsPresent(device_t dev)
 {
-    ACPI_DEVICE_INFO	*devinfo;
     ACPI_HANDLE		h;
-    int			ret;
+    UINT32		s;
+    ACPI_STATUS		status;
 
-    ret = FALSE;
-    if ((h = acpi_get_handle(dev)) == NULL ||
-	ACPI_FAILURE(AcpiGetObjectInfo(h, &devinfo)))
+    h = acpi_get_handle(dev);
+    if (h == NULL)
 	return (FALSE);
+    status = acpi_GetInteger(h, "_STA", &s);
 
     /* If no _STA method, must be present */
-    if ((devinfo->Valid & ACPI_VALID_STA) == 0)
-	ret = TRUE;
-
-    /* Return true for 'present' and 'functioning' */
-    if (ACPI_DEVICE_PRESENT(devinfo->CurrentStatus))
-	ret = TRUE;
+    if (ACPI_FAILURE(status))
+	return (status == AE_NOT_FOUND ? TRUE : FALSE);
 
-    AcpiOsFree(devinfo);
-    return (ret);
+    return (ACPI_DEVICE_PRESENT(s) ? TRUE : FALSE);
 }
 
 /*
@@ -1998,25 +1993,20 @@ acpi_DeviceIsPresent(device_t dev)
 BOOLEAN
 acpi_BatteryIsPresent(device_t dev)
 {
-    ACPI_DEVICE_INFO	*devinfo;
     ACPI_HANDLE		h;
-    int			ret;
+    UINT32		s;
+    ACPI_STATUS		status;
 
-    ret = FALSE;
-    if ((h = acpi_get_handle(dev)) == NULL ||
-	ACPI_FAILURE(AcpiGetObjectInfo(h, &devinfo)))
+    h = acpi_get_handle(dev);
+    if (h == NULL)
 	return (FALSE);
+    status = acpi_GetInteger(h, "_STA", &s);
 
     /* If no _STA method, must be present */
-    if ((devinfo->Valid & ACPI_VALID_STA) == 0)
-	ret = TRUE;
-
-    /* Return true for 'present', 'battery present', and 'functioning' */
-    if (ACPI_BATTERY_PRESENT(devinfo->CurrentStatus))
-	ret = TRUE;
+    if (ACPI_FAILURE(status))
+	return (status == AE_NOT_FOUND ? TRUE : FALSE);
 
-    AcpiOsFree(devinfo);
-    return (ret);
+    return (ACPI_BATTERY_PRESENT(s) ? TRUE : FALSE);
 }
 
 /*
diff --git a/usr.sbin/acpi/acpiexec/Makefile b/usr.sbin/acpi/acpiexec/Makefile
index 8e6d1c16a2..839c7fe819 100644
--- a/usr.sbin/acpi/acpiexec/Makefile
+++ b/usr.sbin/acpi/acpiexec/Makefile
@@ -16,9 +16,11 @@ SRCS=	\
 	aeexception.c \
 	aehandlers.c \
 	aeinitfile.c \
+	aeinstall.c \
 	aemain.c \
 	aeregion.c \
-	aetables.c
+	aetables.c \
+	aetests.c
 
 SRCS+=	\
 	acfileio.c \
@@ -115,6 +117,7 @@ SRCS+=	\
 	hwpci.c \
 	hwregs.c \
 	hwsleep.c \
+	hwtimer.c \
 	hwvalid.c \
 	hwxface.c \
 	hwxfsleep.c \
diff --git a/usr.sbin/acpi/acpinames/Makefile b/usr.sbin/acpi/acpinames/Makefile
index 64ca2a9bc2..e1fa89047d 100644
--- a/usr.sbin/acpi/acpinames/Makefile
+++ b/usr.sbin/acpi/acpinames/Makefile
@@ -93,6 +93,7 @@ SRCS+=	\
 	utmath.c \
 	utmisc.c \
 	utmutex.c \
+	utnonansi.c \
 	utobject.c \
 	utosi.c \
 	utownerid.c \
diff --git a/usr.sbin/acpi/iasl/Makefile b/usr.sbin/acpi/iasl/Makefile
index 175c16c5b1..5b7d59927a 100644
--- a/usr.sbin/acpi/iasl/Makefile
+++ b/usr.sbin/acpi/iasl/Makefile
@@ -29,9 +29,11 @@ SRCS=	\
 	ahpredef.c \
 	ahtable.c \
 	ahuuids.c \
+	aslallocate.c \
 	aslanalyze.c \
 	aslascii.c \
 	aslbtypes.c \
+	aslcache.c \
 	aslcodegen.c \
 	aslcompile.c \
 	asldebug.c \
@@ -103,7 +105,13 @@ SRCS=	\
 	dmtable.c \
 	dmtables.c \
 	dmtbdump.c \
+	dmtbdump1.c \
+	dmtbdump2.c \
+	dmtbdump3.c \
 	dmtbinfo.c \
+	dmtbinfo1.c \
+	dmtbinfo2.c \
+	dmtbinfo3.c \
 	dmutils.c \
 	dmwalk.c \
 	dsargs.c \
-- 
2.17.0

